Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Class SearchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.plumtree.remote.prc.search.SearchException

All Implemented Interfaces:
  java.io.Serializable

public class SearchException
extends java.rmi.RemoteException

Thrown when a remote invocation results in an error on the portal side, usually due to invalid parameters.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getCode()` Returns search error code.
`java.lang.String` | `getDetail()` Returns search error detail.
`java.lang.String` | `getMessage()` Returns search error message.

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns search error message.

  Returns:
    error message

### getDetail

    public java.lang.String getDetail()

  Returns search error detail.

  Returns:
    error detail

### getCode

    public java.lang.String getCode()

  Returns search error code.

  Returns:
    error code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.